# $Revision: 1.1 $, $Date: 2011/04/24 17:31:14 $
#
# Conditional build:
%bcond_without	hidden_visibility	# pass '--fvisibility=hidden' & '--fvisibility-inlines-hidden' to g++

%define		_state		stable
%define		_kdever		3.5.12
%define		_qtver		6:3.3.8b-12
%define		_svnrev		1229013

Summary:	tqtinterface
#Summary(pl.UTF-8):	
Name:		tqtinterface
Version:	3.5.12
Release:	1.%{_svnrev}
License:	LGPL
Group:		Libraries
#Source0:	http://mirror.its.uidaho.edu/pub/trinity/releases/3.5.12/dependencies/%{name}-%{version}.tar.gz
# md5:	361c45961184f01f95d3b771138c8229
Source0:	%{name}-%{version}-r%{_svnrev}.tar.bz2
# Source0-md5:	c510477499087356ca795b78a16fb972
# http://websvn.kde.org/*checkout*/branches/trinity/dependencies/tqtinterface
# get it via: svn export svn://anonsvn.kde.org/home/kde/branches/trinity/dependencies/tqtinterface
#Patch100:	%{name}-branch.diff
#Patch0:		%{name}-libs.patch
#Patch1:		kde-ac260-lt.patch
#Patch2:		%{name}-extension_loader.patch
#Patch3:		%{name}-gcc43.patch
#Patch4:		%{name}-fortify.patch
#Patch5:		kde-am.patch
#Patch6:		%{name}-ac.patch
URL:		http://trinity.pearsoncomputing.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.35.0
BuildRequires:	cmake >= 2.6.2
%{?with_hidden_visibility:BuildRequires:	gcc-c++ >= 5:4.1.0-0.20051206r108118.1}
BuildRequires:	libtool >= 2:1.5-2
BuildRequires:	pkgconfig
BuildRequires:	qt-devel >= %{_qtver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tqtinterface.

%description -l pl.UTF-8
tqtinterface.

%package devel
Summary:	Sound server - header files
#Summary(pl.UTF-8):	Serwer dźwięku - pliki nagłówkowe
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	qt-devel >= %{_qtver}

%description devel
Header files required to compile programs using tqtinterface.

%description devel -l pl.UTF-8
Pliki nagłówkowe niezbędne do budowania aplikacji korzystających z
tqtinterface.

%prep
#%setup -q -n dependencies/tqtinterface
%setup -q -n tqtinterface
#%patch100 -p1
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1
#%patch6 -p1

%build
install -d build
cd build
# add this to get verbose output
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DQT_VERSION=3 \
	-DQT_INCLUDE_DIR=%{_includedir}/qt \
	-DQT_LIBRARY_DIR=%{_libdir} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

#	-DQT_QMAKE_EXECUTABLE=%{_bindir}/qmake-qt4 \

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtqt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtqt.so.?

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/convert_qt_tqt1
%attr(755,root,root) %{_bindir}/convert_qt_tqt2
%attr(755,root,root) %{_bindir}/convert_qt_tqt3
%attr(755,root,root) %{_bindir}/dcopidl-tqt
%attr(755,root,root) %{_bindir}/dcopidl2cpp-tqt
%attr(755,root,root) %{_bindir}/dcopidlng-tqt
%attr(755,root,root) %{_bindir}/mcopidl-tqt
%attr(755,root,root) %{_bindir}/moc-tqt
%attr(755,root,root) %{_bindir}/tmoc
%attr(755,root,root) %{_bindir}/tqt-replace
%attr(755,root,root) %{_bindir}/tqt-replace-stream
%attr(755,root,root) %{_bindir}/uic-tqt

%attr(755,root,root) %{_libdir}/libtqt.so

%{_includedir}/tq*.h
%dir %{_includedir}/Qt
%{_includedir}/Qt/*.h
%{_pkgconfigdir}/tqt.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tqtinterface.spec,v $
Revision 1.1  2011/04/24 17:31:14  cactus
- initial import

